#include <bits/stdc++.h>
using namespace std;
long long N,M,NIZ1[50005][5],NIZ2[50005][5],RAZ,X,Y,xmax,ymax,xmin,ymin,br;

int main(){
  cin>>N>>M;
  for(int i=1;i<=N;i++){
    scanf("%lld",&X);
    scanf("%lld",&Y);
  }
  for(int i=1;i<=M;i++){
    scanf("%lld",&X);
    scanf("%lld",&Y);
    NIZ2[i][2]=Y;
    ymax+=Y;
  }
     printf("%lld\n",ymax);
    printf("%lld\n",M);
    for(int i=1;i<=M;i++){
        printf("%lld ",1);
        printf("%lld ",i);
        printf("%lld\n",NIZ2[i][2]);
    }
 return 0;
}